# 开发指南

## 开发环境准备

node 版本是 14.x 或以上，少数旧项目使用 12.x 。

## 代码分支管理说明

线上生产环境使用`master`分支，开发测试使用`test`分支，如果有其他情况再做单独说明。

## 代码提交信息规范

参考[《约定式提交》文档](https://www.conventionalcommits.org/zh-hans/v1.0.0/)，但不做强制要求。

## 前端项目上线

- web 端使用`ftp`工具上传打包产物到服务器上。
- 小程序端使用小程序开发工具打包上传，登录[小程序管理后台](https://mp.weixin.qq.com/)提审通过后，点击发布。

```html
<p style="text-align: center; color: #999; margin: 20px">
  体验版本号@2.9.0-202405221740
</p>
```

## 前端项目说明（自用不公开）

- 移动端 Web 应用使用 vue2，以 cloud_wallet 为模版，初始化项目
- 移动端 Web 应用使用 vue3，以 superdesk-ui-h5 为模版，初始化项目
- 长期维护项目下的`@/utils`

```text
getAPI 以上是通用的方法封装，以下根据实际项目写
```

- 接手项目维持现状，需要什么就搬什么，例如 utils 直接堆代码在 index.js 下就行了
- 浮点数运算使用 decimal.js
- 时间和日期计算使用 day.js
