/\*\*

- 填充指定参数到链接
- @param {string} url - URL 模板字符串，可以包含大括号作为查询参数的占位符
- @param {obj} query - 查询对象
- @returns {string} - 填充后的 URL 字符串
- @example
- fillURLQueryString('/pages/list/detail?id={id}&name={name}', { id: '1', name: 'John Doe' })
  \*/
  export function fillURLQueryString(url, query) {
  let filledUrl = url

Object.keys(query).forEach((key) => {
const placeholder = new RegExp(`{${key}}`, 'g')
filledUrl = filledUrl.replace(placeholder, query[key])
})

return filledUrl
}
