# 供应商结算模块
> 统一订单管理系统 - 供应商结算模块下的笔记记录

## 京东对账

```
# 供应商结算 > 京东对账 > 对账详情
订单结算金额 row.orderCostAmount
结算中心对账金额 row.transportMerchantAssumeAmount + row.goodsCostAmount
```

## 供应商结算模块 状态流转备注
#### 申请状态
①申请状态流转：未申请→待开票→待收票→待付款→已完成/已作废
②注：申请状态在数据库均挂在每个开票申请数据上，暂时业务上不存在一个供应商对账单存在部分申请状态不一致情况，前端在同一个对账单时申请状态作合并显示处理；
③状态定义说明：
·未申请：此申请状态仅在“对账单”模块中展示，指该对账单未发起【开票申请】操作，操作后状态变更为“待开票”；
·待开票：指该对账单的所有开票申请当前处于“待开票”状态，等待侨城汇福利商城-商户端-供应商【确认开票】操作，操作后状态变更为“待收票”；
·待收票：指该对账单的所有开票申请当前处于“待收票”状态，等待供应商结算-发票管理登记【收票登记】操作，操作后状态变更为“待付款”；
·待付款：指该对账单的所有开票申请当前处于“待付款”状态，等待供应商结算-货款管理【发起付款→确认付款】操作，操作后状态变更为“已完成”；
·已完成：指该对账单的所有开票申请当前处于“已完成”状态，整个申请状态流程已全部走完，其付款状态为“已付款”；
·已作废：指该对账单的所有开票申请当前处于“已作废”状态，目前业务支持在发票登记管理中只要该对账单的所有开票申请当前处于“待开票/待收票/待付款”状态下，可【撤销开票】操作，即该对账单的所有开票申请作废；
开票状态 取决于侨城汇福利商城-商户端-供应商【确认开票】操作
收票状态 取决于供应商结算-发票登记管理【收票登记】操作
付款状态 取决于供应商结算-货款管理【发起付款】【确认付款】操作

``` 重要状态记录
// 对账(结算)单状态 【未引用，仅作说明】
const accounting_status = [
  { label: "待提交", value: 3 },
  { label: "未确认", value: 0 },
  { label: "已确认", value: 1 },
  { label: "已拒绝", value: 2 },
  { label: "已取消", value: -1 }
];
// 申请开票进度(申请状态)
const applyInvoiceStatusOptions = [
  { label: "未申请", value: 0 },
  { value: 1, label: "待开票" },
  // {   label: "待寄票",value: 20, }, 不显示
  { label: "待收票", value: 30 },
  { label: "待付款", value: 40 },
  { label: "已完成", value: 99 },
  { label: "已作废", value: 2 }
];
// 发票登记状态(开票状态)
const makeInvoiceStatusOptions = [
  { label: "未开票", value: 0 },
  { label: "已开票", value: 1 }
];
// 收票状态
const receiveInvoiceStatusOptions = [
  { label: "未收票", value: 0 },
  { label: "已收票", value: 1 }
];
// 付款状态
const payoffAccountStatusOptions = [
  { label: "待付款", value: 0 },
  { label: "付款中", value: 1 },
  { label: "已付款", value: 2 }
];
```
 